Subject: bug#38934: closed (Re: [Bug-vc-dwim] bug#38934: [PATCH] vc-dwim: die if no one-line summary.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 05 Jan 2020 22:54:02 +0000

Your bug report

#38934: [PATCH] vc-dwim: die if no one-line summary.

which was filed against the vc-dwim package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38934: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38934
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [Bug-vc-dwim] bug#38934: [PATCH] vc-dwim: die if no one-line summary.
From: Jim Meyering <[email-masked]>
To: Karl Berry <[email-masked]>
Cc: [email-masked]
Date: Sun, 5 Jan 2020 14:52:57 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Jan 5, 2020 at 2:46 PM Karl Berry <[email-masked]> wrote:
>
>     I like it enough that I've adjusted the many resultant test failures
>
> Thanks much. I admit I totally spaced on thinking about the vcd tests.
> (And I'm kind of glad I did, since I probably would have given up. :)
>
>     Here's the merged commit I want to push later today.
>     Also adjusted NEWS.

pushed

Subject: [PATCH] vc-dwim: die if no one-line summary.
From: Karl Berry <[email-masked]>
To: [email-masked]
Date: Sat, 4 Jan 2020 18:59:21 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Jim, for your consideration: die if no one-line summary is found and
--commit is specified, instead of committing unparsable/bogus data.

FWIW, I found it quite painful to recover from the commit when vcd
couldn't parse my entry and I accidentally committed anyway. -k